## rsync 3.3.0

=== debian/changelog ===
rsync (3.3.0-1ubuntu0.2) oracular-security; urgency=medium

  * SECURITY REGRESSION: missing ipv6 support (LP: #2096914)
    - d/p/fix_failing_ipv6_check_while_build.patch: fix main return type
      to int which caused configure to fail

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Sat, 08 Feb 2025 11:14:20 +0530

rsync (3.3.0-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: safe links bypass vulnerability
    - d/p/CVE-2024-12088/0001-make-safe-links-stricter.patch: reject
      links where a "../" component is included in the destination
    - CVE-2024-12088
  * SECURITY UPDATE: arbitrary file write via symbolic links
    - d/p/CVE-2024-12087/0001-Refuse-a-duplicate-dirlist.patch: refuse
      malicious duplicate flist for dir
    - d/p/CVE-2024-12087/0002-range-check-dir_ndx-before-use.patch: refuse
      invalid dir_ndx
    - d/p/fix_flag_got_dir_flist_collision.patch: fix flag collision
    - CVE-2024-12087
  * SECURITY UPDATE: arbitrary client file leak
    - d/p/CVE-2024-12086/0001-refuse-fuzzy-options-when-fuzzy-not-selected.patch:
      refuse fuzzy options when not selected
    - d/p/CVE-2024-12086/0002-added-secure_relative_open.patch: safe
      implementation to open a file relative to a base directory
    - d/p/CVE-2024-12086/0003-receiver-use-secure_relative_open-for-basis-file.patch:
      ensure secure file access for basis file
    - d/p/CVE-2024-12086/0004-disallow-.-elements-in-relpath-for-secure_relative_o.patch:
      disallow "../" in relative path
    - CVE-2024-12086
  * SECURITY UPDATE: information leak via uninitialized stack contents
    - d/p/CVE-2024-12085/0001-prevent-information-leak-off-the-stack.patch:
      prevent information leak by zeroing
    - CVE-2024-12085
  * SECURITY UPDATE: heap buffer overflow in checksum parsing
    - d/p/CVE-2024-12084/0001-Some-checksum-buffer-fixes.patch: fix
      checksum buffer issues, better length check
    - d/p/CVE-2024-12084/0002-Another-cast-when-multiplying-integers.patch:
      fix multiplying size by a better cast
    - CVE-2024-12084
  * SECURITY UPDATE: symlink race condition
    - d/p/CVE-2024-12747/0001-fixed-symlink-race-condition-in-sender.patch:
      do_open_checklinks to prevent symlink race
    - CVE-2024-12747

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Tue, 28 Jan 2025 14:02:37 +0530

rsync (3.3.0-1) unstable; urgency=medium

  [ Aquila Macedo Costa ]
  * d/control: Bump Standards-Version to 4.6.2

  [ Samuel Henrique ]
  * New upstream version 3.3.0 (closes: #1068630)
  * Bump Standards-Version to 4.7.0
  * Update patches
  * d/patches: Drop merged patches
  * d/control: Drop dependency on lsb-base
  * d/rsync.lintian-overrides: Update overrides

 -- Samuel Henrique <samueloph@debian.org>  Fri, 12 Apr 2024 00:28:29 +0100

rsync (3.2.7-1) unstable; urgency=medium

  [ Juri Grabowski ]
  * New upstream version 3.2.7
  * Remove patches included in new release

  [ Helmut Grohne ]
  * Fix FTCBFS: Use native instances for python build depends
    (closes: #1022988).

  [ Samuel Henrique ]
  * d/rsync.lintian-overrides: Update findings as per lintian changes
  * d/patches: Add two upstream patches to fix issues post 3.2.7 release:
    - trust_the_sender_on_a_local_transfer.patch
    - avoid_quoting_of_tilde_when_its_a_destination_arg.patch

 -- Samuel Henrique <samueloph@debian.org>  Sun, 18 Dec 2022 14:10:54 +0000

rsync (3.2.6-4) unstable; urgency=medium

  * Upload to unstable
    - d/patches:
      ~ fix_files_from.patch: Upstream patch to address the files-from issue.
      ~ fix_relative.patch: Upstream patch to fix exclusion of /. with
        --relative.
      ~ fix_remote_filter_rules_validation.patch: Upstream patch to fix bug
        with validating remote filter rules.
    (closes: #1018296, #1019561)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 21 Sep 2022 18:58:57 +0100

rsync (3.2.6-3) experimental; urgency=medium

  * d/patches:
    - fix_files_from.patch: Upstream patch to address the files-from issue,
      likely to also be related to #1019561 and #1018296
    - fix_relative.patch: Upstream patch to fix exclusion of /. with --relative

 -- Samuel Henrique <samueloph@debian.org>  Wed, 14 Sep 2022 19:25:19 +0100

rsync (3.2.6-2) experimental; urgency=medium

  * d/p/fix_remote_filter_rules_validation.patch: New upstream patch to try to
    fix #1019561 and #1018296

 -- Samuel Henrique <samueloph@debian.org>  Tue, 13 Sep 2022 20:55:01 +0100

rsync (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6
    - Added a safety check that prevents the sender from removing destination
      files when a local copy using --remove-source-files has some files that
      are shared between the sending & receiving hierarchies, including the
      case where the source dir & destination dir are identical
      (closes: #1016102)
  * Bump Standards-Version to 4.6.1

 -- Samuel Henrique <samueloph@debian.org>  Sat, 10 Sep 2022 20:03:51 +0100
