=== debian/control ===
Source: rsync
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13),
               libacl1-dev,
               libpopt-dev,
               liblz4-dev,
               libxxhash-dev (>= 0.8),
               libzstd-dev (>= 1.4),
               zlib1g-dev,
               libssl-dev,
               python3:native,
               python3-cmarkgfm:native
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://rsync.samba.org/
Vcs-Git: https://salsa.debian.org/debian/rsync.git
Vcs-Browser: https://salsa.debian.org/debian/rsync

Package: rsync
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: openssh-client,
          openssh-server,
          python3,
          python3-braceexpand
Description: fast, versatile, remote (and local) file-copying tool
 rsync is a fast and versatile file-copying tool which can copy locally
 and to/from a remote host. It offers many options to control its behavior,
 and its remote-update protocol can minimize network traffic to make
 transferring updates between machines fast and efficient.
 .
 It is widely used for backups and mirroring and as an improved copy
 command for everyday use.
 .
 This package provides both the rsync command line tool and optional
 daemon functionality.
