=== debian/changelog ===
rsync (3.4.1+ds1-5ubuntu1) questing; urgency=medium

  * d/p/do-not-typedef-bool.patch: fix build error in upstream-tests
    (LP: #2119658)
  * debian/tests: use Restrictions: allow-stderr rather than redirecting stderr

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 06 Aug 2025 11:00:26 -0400
