=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Slootman <paul@debian.org>
-Uploaders: Samuel Henrique <samueloph@debian.org>
+XSBC-Original-Maintainer: Samuel Henrique <samueloph@debian.org>
+Uploaders: Paul Slootman <paul@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libacl1-dev,
                libpopt-dev,
@@ -13,7 +13,9 @@
                zlib1g-dev,
                libssl-dev,
                python3:native,
-               python3-cmarkgfm:native
+               python3-cmarkgfm:native [!hppa] | python3-commonmark [hppa],
+               acl <!nocheck>,
+               attr <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://rsync.samba.org/
