=== debian/tests/control ===
Tests: local-tests
Depends: @, @builddeps@, build-essential, diffoscope, shunit2

Tests: upstream-tests
Depends: @, @builddeps@, build-essential
Restrictions: allow-stderr

Test-Command: rsync -h
Features: test-name=rsync-help
Restrictions: superficial

Tests: remote-tests
Depends: @, @builddeps@, build-essential, diffoscope, shunit2, openssh-server, adduser
Restrictions: needs-root, isolation-container

Tests: upstream-tests-as-root
Depends: @, @builddeps@, build-essential
Restrictions: needs-root, allow-stderr
