=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/, \
      dversionmangle=auto, \
      repacksuffix=+ds1" \
https://rsync.samba.org/ftp/rsync/src/ rsync-(\d\S+)\.tar\.gz
